OpenTTD Source: src/fontdetection.h File Reference

OpenTTD Source 12.0-beta1

Functions
fontdetection.h File Reference
`#include "fontcache.h"`
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`

Go to the source code of this file.

## Functions
FT_Error | GetFontByFaceName (const char *font_name, FT_Face *face)
| Load a freetype font face with the given font name. More...
bool | SetFallbackFont (struct FreeTypeSettings *settings, const char *language_isocode, int winlangid, class MissingGlyphSearcher *callback)
| We would like to have a fallback font as the current one doesn't contain all characters we need. More...

## Detailed Description

Functions related to detecting/finding the right font.

Definition in file fontdetection.h.

## Function Documentation

## ◆ GetFontByFaceName()

FT_Error GetFontByFaceName | ( | const char * | font_name,
|  | FT_Face * | face
| ) |  |

Load a freetype font face with the given font name.

Parameters

  font_name | The name of the font to load.
  face | The face that has been found.

Returns
  The error we encountered.

Definition at line 35 of file font_osx.cpp.

References Debug, lengthof, ShowInfoF(), and stredup().

## ◆ SetFallbackFont()

bool SetFallbackFont | ( | struct FreeTypeSettings * | settings,
|  | const char * | language_isocode,
|  | int | winlangid,
|  | class MissingGlyphSearcher * | callback
| ) |  |

We would like to have a fallback font as the current one doesn't contain all characters we need.

This function must set all fonts of settings.

Parameters

  settings | the settings to overwrite the fontname of.
  language_isocode | the language, e.g. en_GB.
  winlangid | the language ID windows style.
  callback | The function to call to check for missing glyphs.

Returns
  true if a font has been set, false otherwise.

Definition at line 70 of file font_osx.cpp.

References Debug, MissingGlyphSearcher::FindMissingGlyphs(), InitFreeType(), lastof, lengthof, MissingGlyphSearcher::Monospace(), seprintf(), MissingGlyphSearcher::SetFontNames(), settings, and strecpy().